Permalink
Browse files

v0.0.2

Added GemSpec.
  • Loading branch information...
1 parent e245ec6 commit e22a0231fa9da6ba5f869cb4fe2a7b1a38fc6e8a @blackwinter committed Jan 20, 2012
Showing with 38 additions and 2 deletions.
  1. +7 −0 ChangeLog
  2. +1 −1 README
  3. +1 −1 lib/libcdb/version.rb
  4. +29 −0 libcdb-ruby.gemspec
View
@@ -1,5 +1,12 @@
= Revision history for libcdb-ruby
+== 0.0.2 [2012-01-20]
+
+* Refactored C code to DRY.
+* Added Writer#<< as alias for Writer#store.
+* Added missing delegate CDB#total.
+* A little housekeeping.
+
== 0.0.1 [2012-01-12]
* Birthday :-)
View
2 README
@@ -2,7 +2,7 @@
== VERSION
-This documentation refers to libcdb-ruby version 0.0.1
+This documentation refers to libcdb-ruby version 0.0.2
== DESCRIPTION
View
@@ -6,7 +6,7 @@ module Version
MAJOR = 0
MINOR = 0
- TINY = 1
+ TINY = 2
class << self
View
@@ -0,0 +1,29 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = "libcdb-ruby"
+ s.version = "0.0.2"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Jens Wille"]
+ s.date = "2012-01-20"
+ s.description = "Ruby bindings for CDB Constant Databases."
+ s.email = "jens.wille@uni-koeln.de"
+ s.extensions = ["ext/libcdb/extconf.rb"]
+ s.extra_rdoc_files = ["README", "COPYING", "ChangeLog", "ext/libcdb/libcdb.c", "ext/libcdb/ruby_cdb.c", "ext/libcdb/ruby_cdb_reader.c", "ext/libcdb/ruby_cdb_writer.c"]
+ s.files = ["lib/libcdb-ruby.rb", "lib/libcdb/version.rb", "lib/cdb.rb", "lib/libcdb.rb", "ChangeLog", "COPYING", "README", "Rakefile", "TODO", "ext/libcdb/ruby_cdb_writer.h", "ext/libcdb/ruby_cdb.c", "ext/libcdb/ruby_libcdb.h", "ext/libcdb/ruby_cdb_reader.c", "ext/libcdb/ruby_cdb.h", "ext/libcdb/ruby_cdb_writer.c", "ext/libcdb/extconf.rb", "ext/libcdb/ruby_cdb_reader.h", "ext/libcdb/libcdb.c", "ext/libcdb/libcdb_ruby.def", "spec/libcdb/writer_spec.rb", "spec/libcdb/reader_spec.rb", "spec/spec_helper.rb", ".rspec"]
+ s.homepage = "http://github.com/blackwinter/libcdb-ruby"
+ s.rdoc_options = ["--main", "README", "--all", "--charset", "UTF-8", "--title", "libcdb-ruby Application documentation (v0.0.2)", "--line-numbers"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.8.15"
+ s.summary = "Ruby bindings for CDB Constant Databases."
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end

0 comments on commit e22a023

Please sign in to comment.